let szamok = [1, 20, -10, -2, -4, 6, -5, 5, 8, 2];
let pozitivak = [];
let negativak = [];

let arraySum = (array) =>{
    let sum = 0;
    array.forEach(element => {
        sum += element;
    });
};

let pozitiv = (szam) =>{
    szam > 0
};

let negativ = (szam) =>{
    szam < 0
}

szamok.forEach(element => {
    pozitiv(element) ? pozitivak.push(element) : negativak.push(element);
});

console.log(`Pozitív számok összege: ${arraySum(pozitivak)}`);
console.log(`Negatív számok összege: ${arraySum(negativak)}`);

